#!/bin/sh

log () { /usr/bin/logger $0 "$@"; }
log_and_exec () { log "$@"; "$@"; }

log "$@";
echo "$*" | grep -q "settings" || exit 0;

# Copy to a temporary location so that restore script can
# manually move them to the original one and restart
# the applications using it.

ACCOUNTSDIR=/home/user/.rtcom-accounts
BACKUPDIR=/tmp/.rtcom
BACKUPFILE=/tmp/rtcom.tar
RING_CONF=/var/lib/mission-control-5
RING_FILE=ring.cfg

log_and_exec rm -rf $BACKUPDIR;
log_and_exec cp -dR $ACCOUNTSDIR $BACKUPDIR;
log_and_exec cp -dR $RING_CONF/$RING_FILE $BACKUPDIR;
log_and_exec tar -C /tmp -cf $BACKUPFILE $(basename $BACKUPDIR);
log_and_exec rm -rf $BACKUPDIR;

